#include <bits/stdc++.h>
using namespace std;
int main()
{
    string a , b , c , velstr , makstr="0" ;
    cin >> a >> b >> c ;
    cout << velstr << endl ;
    velstr=a+b+c ;
    if (velstr>makstr)
    {
        makstr=velstr ;
    }
    velstr=a+c+b ;
    if (velstr>makstr)
    {
        makstr=velstr ;
    }
    velstr=b+a+c ;
    if (velstr>makstr)
    {
        makstr=velstr ;
    }
    velstr=b+c+a ;
    if (velstr>makstr)
    {
        makstr=velstr ;
    }
    velstr=c+a+b ;
    if (velstr>makstr)
    {
        makstr=velstr ;
    }
    velstr=c+b+a ;
    if (velstr>makstr)
    {
        makstr=velstr ;
    }
    cout << makstr << endl ;
    return 0 ;
}